﻿* Encoding: UTF-8.
**********************************************************************************.
**ESTADÍSTICAS DE EDIFICACIONES (PERMISOS DE CONSTRUCCIÓN) 2021**.
**********************************************************************************.
**INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC)**.
**DIRECCIÓN DE ESTADÍSTICAS ECONÓMICAS (DECON)**.
**UNIDAD DE GESTIÓN DE ESTADÍSTICAS ESTRUCTURALES (GESE)**.
**ÚLTIMA FECHA DE MODIFICACIÓN: 07/07/2022***.


*Se crean las variables a utilizarse en los tabulados.
compute t=1.
compute tg=1.
var label 
t 'TOTAL' 
tg 'TOTAL REPÚBLICA'.
execute.

*Se Recodifica [cdispuso] cruzada con [propie] para que aparezca Educación Pública y Privada y Hospitales Públicos y Privados.
COMPUTE cdispusx = 0.
if (cdispuso = 1) cdispusx = 1.
if (cdispuso = 2) cdispusx = 2.
if (cdispuso = 3) cdispusx = 3.
if (cdispuso = 4) cdispusx = 4.
if (cdispuso = 5) cdispusx = 5.
if (cdispuso = 6) cdispusx = 6.
if (cdispuso = 7) cdispusx = 7.
if (cdispuso = 7 & propie = 1) cdispusx = 8.
if (cdispuso = 7 & propie = 2) cdispusx = 9.
if (cdispuso = 8)   cdispusx = 10.
if (cdispuso = 9)   cdispusx = 11.
if (cdispuso = 10) cdispusx = 12.
if (cdispuso = 10 & propie = 1) cdispusx = 13.
if (cdispuso = 10 & propie = 2) cdispusx = 14.
if (cdispuso = 11) cdispusx = 15.
if (cdispuso = 13) cdispusx = 17.
if (cdispuso = 14) cdispusx = 18.
if (cdispuso = 0) cdispusx = 0.
var label cdispusx 'PROPOSITO DE LA CONSTRUCCIÓN'.
val label
/cdispusx
  1   'Edificaciones con una vivienda'
  2   'Edificaciones con dos viviendas'
  3   'Edificaciones con tres o más viviendas'
  4   'Comercial'
  5   'Industrial'
  6   'Edificio Administrativo'
  7   'Educación'
  8   'Educación Privada'
  9   'Educación Pública'
  10   'Cultura'
  11   'Recreación Deporte'
  12  'Hospitales Clínicas Estab de Salud'
  13  'Hospitales Clínicas Estab de Salud Privada'
  14  'Hospitales Clínicas Estab de Salud Pública'
  15  'Transporte y Comunicaciones'
  17  'Mixto Residencial y No Residencial'
  18  'Otras'
  0    'No Aplica'.
execute.

*Se crea la variable de total de área a construir sin parqueadero.
compute carcsing=carco-cardpar.
var label carcsing 'AREA TOTAL SIN PARQUEADERO'.
execute.

* Número de pisos para edificaciones de tipo residencial.
IF (cdispuso >= 1 & cdispuso <= 3) TCDISREP = 1.
IF ((cdispuso >= 1 & cdispuso <= 3) & nupical = 1) CDISREP = 1.
IF ((cdispuso >= 1 & cdispuso <= 3) & nupical = 2) CDISREP = 2.
IF ((cdispuso >= 1 & cdispuso <= 3) & nupical = 3) CDISREP = 3.
IF ((cdispuso >= 1 & cdispuso <= 3) & nupical >= 4) CDISREP = 4.
var label TCDISREP 'SUBTOTAL RESIDENCIAL'
/CDISREP 'RESIDENCIAL'.
val label
/cdisrep
  1   '1 PISO'
  2   '2 PISOS'
  3   '3 PISOS'
  4   '4 Y MAS PISOS'.

* Número de pisos para edificaciones de tipo No Residencial.
IF ((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) TCDISNRP = 1.
IF (((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) & nupical = 1) CDISNRP = 1.
IF (((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) & nupical = 2) CDISNRP = 2.
IF (((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) & nupical = 3) CDISNRP = 3.
IF (((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) & nupical >= 4) CDISNRP = 4.
var label TCDISNRP 'SUBTOTAL NO RESIDENCIAL'
/CDISNRP 'NO RESIDENCIAL'.
value label
/cdisnrp
  1   '1 PISO'
  2   '2 PISOS'
  3   '3 PISOS'
  4   '4 Y MAS PISOS'.

* Número de pisos para edificaciones de tipo Mixta.
IF (cdispuso = 13) TCDISMIP = 1.
IF (cdispuso = 13 & nupical = 1) CDISMIP = 1.
IF (cdispuso = 13 & nupical = 2) CDISMIP = 2.
IF (cdispuso = 13 & nupical = 3) CDISMIP = 3.
IF (cdispuso = 13 & nupical >= 4)  CDISMIP = 4.
var label TCDISMIP 'SUBTOTAL MIXTA'
/CDISMIP 'MIXTA'.
val label
/cdismip
  1   '1 PISO'
  2   '2 PISOS'
  3   '3 PISOS'
  4   '4 Y MAS PISOS'.
execute.

* Número de cuartos para Residencial 1 Familia. 
IF (cdispuso = 1) TCVIVREP = 1.
IF (cdispuso = 1 & nucucal = 1) CVIVREP = 1.
IF (cdispuso = 1 & nucucal = 2) CVIVREP = 2.
IF (cdispuso = 1 & nucucal = 3) CVIVREP = 3.
IF (cdispuso = 1 & nucucal = 4) CVIVREP = 4.
IF (cdispuso = 1 & nucucal = 5) CVIVREP = 5.
IF (cdispuso = 1 & nucucal = 6) CVIVREP = 6.
IF (cdispuso = 1 & nucucal >= 7) CVIVREP = 7.
var label TCVIVREP 'SUBTOTAL 1 FAMILIA'
/CVIVREP '1 FAMILIA'.
value label
cvivrep
  1   '1 CUARTO'
  2   '2 CUARTOS'
  3   '3 CUARTOS'
  4   '4 CUARTOS'
  5   '5 CUARTOS'
  6   '6 CUARTOS'
  7   '7 Y MAS CUARTOS'.

* Número de cuartos para Residencial 2 Familias. 
IF (cdispuso = 2) TCVIVRE2 = 1.
IF (cdispuso = 2 & nucucal = 1) CVIVRE2 = 1.
IF (cdispuso = 2 & nucucal = 2) CVIVRE2 = 2.
IF (cdispuso = 2 & nucucal = 3) CVIVRE2 = 3.
IF (cdispuso = 2 & nucucal = 4) CVIVRE2 = 4.
IF (cdispuso = 2 & nucucal = 5) CVIVRE2 = 5.
IF (cdispuso = 2 & nucucal = 6) CVIVRE2 = 6.
IF (cdispuso = 2 & nucucal >= 7) CVIVRE2 = 7.
var label TCVIVRE2 'SUBTOTAL 2 FAMILIAS'
/CVIVRE2 '2 FAMILIAS'.
value label
cvivre2
  1   '1 CUARTO'
  2   '2 CUARTOS'
  3   '3 CUARTOS'
  4   '4 CUARTOS'
  5   '5 CUARTOS'
  6   '6 CUARTOS'
  7   '7 Y MAS CUARTOS'.

* Número de cuartos para Residencial 3 Familias. 
IF (cdispuso = 3) TCVIVRE3 = 1.
IF (cdispuso = 3 & nucucal = 1) CVIVRE3 = 1.
IF (cdispuso = 3 & nucucal = 2) CVIVRE3 = 2.
IF (cdispuso = 3 & nucucal = 3) CVIVRE3 = 3.
IF (cdispuso = 3 & nucucal = 4) CVIVRE3 = 4.
IF (cdispuso = 3 & nucucal = 5) CVIVRE3 = 5.
IF (cdispuso = 3 & nucucal = 6) CVIVRE3 = 6.
IF (cdispuso = 3 & nucucal >= 7) CVIVRE3 = 7.
var label TCVIVRE3 'SUBTOTAL 3 FAMILIAS'
/CVIVRE3 '3 FAMILIAS'.
value label
cvivre3
  1   '1 CUARTO'
  2   '2 CUARTOS'
  3   '3 CUARTOS'
  4   '4 CUARTOS'
  5   '5 CUARTOS'
  6   '6 CUARTOS'
  7   '7 Y MAS CUARTOS'.

* Número de cuartos para Residencial Mixta. 
IF (cdispuso = 13) TCVIVRE4 = 1.
IF (cdispuso = 13 & nucucal = 1) CVIVRE4 = 1.
IF (cdispuso = 13 & nucucal = 2) CVIVRE4 = 2.
IF (cdispuso = 13 & nucucal = 3) CVIVRE4 = 3.
IF (cdispuso = 13 & nucucal = 4) CVIVRE4 = 4.
IF (cdispuso = 13 & nucucal = 5) CVIVRE4 = 5.
IF (cdispuso = 13 & nucucal = 6) CVIVRE4 = 6.
IF (cdispuso = 13 & nucucal >= 7) CVIVRE4 = 7.
var label TCVIVRE4 'SUBTOTAL MIXTA'
/CVIVRE4 'MIXTA'.
value label
cvivre4
  1   '1 CUARTO'
  2   '2 CUARTOS'
  3   '3 CUARTOS'
  4   '4 CUARTOS'
  5   '5 CUARTOS'
  6   '6 CUARTOS'
  7   '7 Y MAS CUARTOS'.
execute.

* Número de dormitorios para  Residencial 1 Familia. 
IF (cdispuso = 1) TDVIVREP = 1.
IF (cdispuso = 1 & nudocal = 1) DVIVREP = 1.
IF (cdispuso = 1 & nudocal = 2) DVIVREP = 2.
IF (cdispuso = 1 & nudocal = 3) DVIVREP = 3.
IF (cdispuso = 1 & nudocal = 4) DVIVREP = 4.
IF (cdispuso = 1 & nudocal = 5) DVIVREP = 5.
IF (cdispuso = 1 & nudocal = 6) DVIVREP = 6.
IF (cdispuso = 1 & nudocal >= 7) DVIVREP = 7.
var label TCVIVREP 'SUBTOTAL 1 FAMILIA'
/CVIVREP '1 FAMILIA'.
value label
dvivrep
  1   '1 DORMITORIO'
  2   '2 DORMITORIOS'
  3   '3 DORMITORIOS'
  4   '4 DORMITORIOS'
  5   '5 DORMITORIOS'
  6   '6 DORMITORIOS'
  7   '7 Y MAS DORMITORIOS'.

* Número de dormitorios para Residencial 2 Familias. 
IF (cdispuso = 2) TDVIVRE2 = 1.
IF (cdispuso = 2 & nudocal = 1) DVIVRE2 = 1.
IF (cdispuso = 2 & nudocal = 2) DVIVRE2 = 2.
IF (cdispuso = 2 & nudocal = 3) DVIVRE2 = 3.
IF (cdispuso = 2 & nudocal = 4) DVIVRE2 = 4.
IF (cdispuso = 2 & nudocal = 5) DVIVRE2 = 5.
IF (cdispuso = 2 & nudocal = 6) DVIVRE2 = 6.
IF (cdispuso = 2 & nudocal >= 7) DVIVRE2 = 7.
var label TDVIVRE2 'SUBTOTAL 2 FAMILIAS'
/DVIVRE2 '2 FAMILIAS'.
value label
dvivre2
  1   '1 DORMITORIO'
  2   '2 DORMITORIOS'
  3   '3 DORMITORIOS'
  4   '4 DORMITORIOS'
  5   '5 DORMITORIOS'
  6   '6 DORMITORIOS'
  7   '7 Y MAS DORMITORIOS'.


* Número de dormitorios para Residencial 3 Familias. 
IF (cdispuso = 3) TDVIVRE3 = 1.
IF (cdispuso = 3 & nudocal = 1) DVIVRE3 = 1.
IF (cdispuso = 3 & nudocal = 2) DVIVRE3 = 2.
IF (cdispuso = 3 & nudocal = 3) DVIVRE3 = 3.
IF (cdispuso = 3 & nudocal = 4) DVIVRE3 = 4.
IF (cdispuso = 3 & nudocal = 5) DVIVRE3 = 5.
IF (cdispuso = 3 & nudocal = 6) DVIVRE3 = 6.
IF (cdispuso = 3 & nudocal >= 7) DVIVRE3 = 7.
var label TDVIVRE3 'SUBTOTAL 3 FAMILIAS'
/DVIVRE3 '3 FAMILIAS'.
value label
dvivre3
  1   '1 DORMITORIO'
  2   '2 DORMITORIOS'
  3   '3 DORMITORIOS'
  4   '4 DORMITORIOS'
  5   '5 DORMITORIOS'
  6   '6 DORMITORIOS'
  7   '7 Y MAS DORMITORIOS'.

* Número de dormitorios para Residencial Mixta. 
IF (cdispuso = 13) TDVIVRE4 = 1.
IF (cdispuso = 13 & nudocal = 1) DVIVRE4 = 1.
IF (cdispuso = 13 & nudocal = 2) DVIVRE4 = 2.
IF (cdispuso = 13 & nudocal = 3) DVIVRE4 = 3.
IF (cdispuso = 13 & nudocal = 4) DVIVRE4 = 4.
IF (cdispuso = 13 & nudocal = 5) DVIVRE4 = 5.
IF (cdispuso = 13 & nudocal = 6) DVIVRE4 = 6.
IF (cdispuso = 13 & nudocal >= 7) DVIVRE4 = 7.
var label TDVIVRE4 'SUBTOTAL MIXTA'
/DVIVRE4 'MIXTA'.
value label
dvivre4
  1   '1 DORMITORIO'
  2   '2 DORMITORIOS'
  3   '3 DORMITORIOS'
  4   '4 DORMITORIOS'
  5   '5 DORMITORIOS'
  6   '6 DORMITORIOS'
  7   '7 Y MAS DORMITORIOS'.
execute.

*******************************************************************************************************************************************************
*Se recodifica la variable cimientos para que el "No aplica" se cargue a la categoría "otros".
COMPUTE RCIMI = 0.
if (cimi = 120) RCIMI = 120.
if (cimi = 124) RCIMI = 124.
If (cimi = 128) RCIMI = 128.
if (cimi = 132) RCIMI = 132.
if (cimi = 147) RCIMI = 147.
if (cimi = 136) RCIMI = 136.
if (cimi = 0) RCIMI = 136.
var label RCIMI 'CIMIENTOS'.
val label
/rcimi
  120 'HORMIGÓN ARMADO'
  124 'HORMIGÓN CICLÓPEO'
  128 'PILOTES MADERA'
  132 'PILOTES HORMIGÓN'
  147 'CIMIENTOS PORTANTES'
  136 'OTROS'.


*Se recodifica la variable estructura para que el "No aplica" se cargue a la categoría "otros".
COMPUTE RESTRU = 0.
if (estru = 121) RESTRU = 121.
if (estru = 125) RESTRU = 125.
if (estru = 129) RESTRU = 129.
if (estru = 148) RESTRU = 148.
If (estru = 133) RESTRU = 133.
if (estru = 0) RESTRU = 133.
var label RESTRU 'ESTRUCTURA'.
val label
/restru
  121 'HORMIGÓN ARMADO'
  125 'METÁLICA'
  129 'MADERA'
  148 'MUROS PORTANTES'
  133 'OTROS'.

**Se recodifica la variable pared para que el "No aplica" se cargue a la categoría "otros".
COMPUTE RPARED = 0.
if (pared = 122) RPARED = 122.
if (pared = 126) RPARED = 126.
If (pared = 130) RPARED = 130.
if (pared = 134) RPARED = 134.
if (pared = 138) RPARED = 138.
if (pared = 142) RPARED = 142.
if (pared = 149) RPARED = 149.
if (pared = 150) RPARED = 150.
if (pared = 146) RPARED = 146.
if (pared = 0) RPARED = 146.
var label RPARED 'PARED'.
val label
/RPARED
  122 'LADRILLO'
  126 'BLOQUE'
  130 'MADERA'
  134 'ADOBE TAPIA'
  138 'CAÑA REVESTIDA'
  142 'PREFABRICADA'
  149 'PAREDES PORTANTES'
  150 'LAMINAS DE YESO-CARTÓN'
  146 'OTROS'.

*Se recodifica la variable cubierta para que el "No aplica" se cargue a la categoría "otros".
COMPUTE RCUBI = 0.
if (cubi = 123) RCUBI = 123.
if (cubi = 127) RCUBI = 127.
if (cubi = 131) RCUBI = 131.
If (cubi = 135) RCUBI = 135.
if (cubi = 139) RCUBI = 139.
if (cubi = 143) RCUBI = 143.
if (cubi = 0) RCUBI = 143.
var label RCUBI 'CUBIERTA'.
val label
/RCUBI
  123 'HORMIGÓN ARMADO'
  127 'ETERNIT ASBESTO'
  131 'TEJA'
  135 'ZINC'
  139 'POLICARBONATO'
  143 'OTROS'.
execute.

*Se recodifica la variable pisos para que el "No aplica" se cargue a la categoría "otros".
COMPUTE RPISO = 0.
if (piso = 151) RPISO = 151.
if (piso = 152) RPISO = 152.
if (piso = 153) RPISO = 153.
if (piso = 154) RPISO = 154.
if (piso = 155) RPISO = 155.
if (piso = 156) RPISO = 156.
if (piso = 157) RPISO = 157.
if (piso = 0) RPISO = 157.
var label RPISO 'PISOS'.
val label
/RPISO
  151 'TIERRA ESTABILIZADA'
  152 'HORMIGÓN'
  153 'MADERA'
  154 'CERÁMICA'
  155 'PORCELANATO'
  156 'PISO LAMINADO(PISO FLOTANTE)'
  157 'OTROS'.
execute.
************************************************************************************************************************************************************************

**Para los tabulados se debe crear la variables número der permisos de construccion, que es igual a la variable CPERM, que en ves de sumar se cuente.

compute NUMPER=CPERM.
execute.
formats NUMPER (f15.0).
var label NUMPER 'NÚMERO DE PERMISOS DE CONSTRUCCIÓN'. 
FREQUENCIES NUMPER.

**Debemos generar un variable: NÚMERO DE PISOS TOTAL, ya que está por uso residencial, no residencial y Mixta

compute nupisos=sum.1(CDISREP,CDISNRP,CDISMIP).
compute NUPISOS=nupisos.
execute.
formats NUPISOS (f15.0).
var label NUPISOS 'NUMERO DE PISOS GENERAL'. 
FREQUENCIES NUPISOS.

**Debemos generar una variable: TOTAL DEL NUMERO DE CUARTOS, ya que está desagregada por Edificaciones de 1 vivienda, Edificaciones de 2 viviendas , 
edificacionesde 3 viviendas y mixtas

compute nucuartos=sum.1(CVIVREP,CVIVRE2,CVIVRE3,CVIVRE4).
compute NUCUARTOS=nucuartos.
execute.
formats NUCUARTOS (f15.0).
var label NUCUARTOS 'NUMERO DE CUARTOS GENERAL'. 
FREQUENCIES NUCUARTOS.

**Debemos generar una variable TOTAL DEL NUMERO DE DORMITORIOS, ya que está desagregada por Edificaciones de 1 vivienda, Edificaciones de 2 viviendas , 
edificacionesde 3 viviendas y mixtas

compute nudormitorios=sum.1(DVIVREP,DVIVRE2,DVIVRE3,DVIVRE4).
compute NUDORMITORIOS=nudormitorios.
execute.
formats NUDORMITORIOS (f15.0).
var label NUDORMITORIOS 'NUMERO DE DORMITORIOS GENERAL'. 
FREQUENCIES NUDORMITORIOS.

***Se debe generar una variable FINAN que separe a los recursos propios y prestados

compute FINAN=0.
if ( CDISPRFI=1 or  CDISPRFI=2 or  CDISPRFI=3 or  CDISPRFI=4 or  CDISPRFI=5) FINAN=1 .
if ( CDISPRFI=6 or  CDISPRFI=7 or  CDISPRFI=8 or  CDISPRFI=9 or  CDISPRFI=10 or  CDISPRFI=11 or CDISPRFI=12 or CDISPRFI=13) FINAN=2.
val label FINAN
0 'No Aplica'
1 'Recursos Propios'
2 'Recursos Prestados'.
FREQUENCIES FINAN.


******
/*****************************************/
/**Cuadro B-1. 
/*****************************************/
*Parte 1

TABLES
  /OBSERVATION = cperm 
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf) by (cperm)
 /STATISTICS COUNT ('')
 /TITLE    'RESULTADOS SEGÚN PRINCIPALES VARIABLES, año 2021'
'POR PROVINCIAS '
'(Número, metros cuadrados y dólares)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

*Parte2

TABLES
  /OBSERVATION = cperm cnuvical csute carco cvae 
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf) by (cperm+cnuvical+csute +carco+cvae)
 /STATISTICS sum ('')
 /TITLE    'RESULTADOS SEGÚN PRINCIPALES VARIABLES, año 2021'
'POR PROVINCIAS '
'(Número, metros cuadrados y dólares)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-2. 
/*****************************************/

TABLES
  /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf) by ((t+careaur)>cperm )
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES A CONSTRUIR SEGÚN ÁREA URBANA O RURAL, año 2021'
'POR PROVINCIAS '
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-3. 
/*****************************************/

TABLES
  /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf) by ((t+CTIPOBR)>cperm )
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES A CONSTRUIR SEGÚN TIPO DE OBRA, año 2021'
'POR PROVINCIAS '
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-4. 
/*****************************************/

TABLES
  /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx) by ((t+careaur)>cperm )
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES A CONSTRUIR SEGÚN ÁREA URBANA O RURAL, año 2021'
'POR USO DE LA EDIFICACIÓN '
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-5. 
/*****************************************/

TABLES
  /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx) by ((t+CTIPOBR)>cperm )
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES A CONSTRUIR SEGÚN TIPO DE OBRA, año 2021'
'POR USO DE LA EDIFICACIÓN '
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.


/*****************************************/
/**Cuadro B-6. 
/*****************************************/

TABLES
  /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx) by ((t+cdisparc)>cperm )
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES SEGÚN METROS CUADRADOS A CONSTRUIR, año 2021'
'POR USO DE LA EDIFICACIÓN '
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-7. 
/*****************************************/

TABLES
   /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= ((t+cimi)+(t+piso)+(t+estru) + (t+pared)+(t+cubi) )by ((t+codreg)>cperm)
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES SEGÚN REGIONES, año 2021'
'POR MATERIALES PREDOMINANTES A SER UTILIZADOS'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-8. 
/*****************************************/

TABLES
   /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by ((t+AEDIF)>cperm)
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES SEGÚN ACCESO A LA EDIFICACIÓN, año 2021'
'POR PROVINCIAS'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-9. 
/*****************************************/

TABLES
   /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx)by ((t+TOCUP)>cperm)
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES SEGÚN OCUPACIÓN DE LA EDIFICACIÓN, año 2021'
'POR PROVINCIAS'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-10. 
/*****************************************/

TABLES
   /OBSERVATION = cperm  
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx)by ((t+NUPISOS)>cperm)
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES SEGÚN NÚMERO DE PISOS, año 2021'
'POR USO DE LA EDIFICACIÓN'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-11. 
/*****************************************/

TABLES
   /OBSERVATION = cperm CVAE
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx)by (tg+(FINAN))>CVAE
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES SEGÚN TIPO DE FINANCIAMIENTO, año 2021'
'POR USO DE LA EDIFICACIÓN'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro B-12. 
/*****************************************/

TABLES
   /OBSERVATION = cperm
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by ((t+careaur)>CINTERN>cperm)
 /STATISTICS sum ('')
 /TITLE    'EDIFICACIONES A CONSTRUIR SEGÚN ACCESO A TECNOLOGÍAS, año 2021'
'POR PROVINCIA'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro C-1. 
/*****************************************/

TABLES
   /OBSERVATION = CNUVICAL
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by ((t+careaur)> CNUVICAL)
 /STATISTICS sum ('')
 /TITLE    'VIVIENDAS A CONSTRUIR SEGÚN ÁREA URBANA O RURAL, año 2021'
'POR PROVINCIA'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro C-2. 
/*****************************************/

TABLES
   /OBSERVATION = CNUVICAL
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by ((t+CTIPOBR)> CNUVICAL)
 /STATISTICS sum ('')
 /TITLE    'VIVIENDAS A CONSTRUIR SEGÚN ÁREA URBANA O RURAL, año 2021'
'POR PROVINCIA'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro C-3. 
/*****************************************/

TABLES
   /OBSERVATION = CNUVICAL
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by ((t+CDISPARC)> CNUVICAL)
 /STATISTICS sum ('')
 /TITLE    'VIVIENDAS SEGÚN METROS CUADRADOS A CONSTRUIR, año 2021'
'POR PROVINCIA'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro C-4. 
/*****************************************/

TABLES
   /OBSERVATION = CNUVICAL
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by ((t+AINTER)> CNUVICAL)
 /STATISTICS sum ('')
 /TITLE    'VIVIENDAS A CONSTRUIR SEGÚN TIPO DE ACABADOS, año 2021'
'POR PROVINCIA'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro C-5. 
/*****************************************/

TABLES
   /OBSERVATION = CNUVICAL
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by ((t+NUCUARTOS)> CNUVICAL)
 /STATISTICS sum ('')
 /TITLE    'VIVIENDAS A CONSTRUIR SEGÚN NÚMERO DE CUARTOS, año 2021'
'POR PROVINCIA'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.


/*****************************************/
/**Cuadro C-6. 
/*****************************************/

TABLES
   /OBSERVATION = CNUVICAL
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by ((t+nudormitorios)> CNUVICAL)
 /STATISTICS sum ('')
 /TITLE    'VIVIENDAS A CONSTRUIR SEGÚN NÚMERO DE DORMITORIOS, año 2021'
'POR PROVINCIA'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro C-7. 
/*****************************************/

TABLES
   /OBSERVATION = CNUVICAL
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf)by ((t+SECREDIT)> CNUVICAL)
 /STATISTICS sum ('')
 /TITLE    'VIVIENDAS A CONSTRUIR SEGÚN SEGMENTO DEL FINANCIAMIENTO, año 2021'
'POR PROVINCIA'
'(Número)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro D-1. 
/*****************************************/

TABLES
  /OBSERVATION = csute carco cares carnres cardpar caesv
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf) by (csute+carco+cares+carnres+cardpar+caesv)
 /STATISTICS SUM ('')
 /TITLE    'SUPERFICIE DEL TERRENO Y ÁREA A CONSTRUIR SEGÚN USO DE LA EDIFICACIÓN, año 2021'
'POR PROVINCIAS'
'(Metros cuadrados)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.

/*****************************************/
/**Cuadro D-2. 
/*****************************************/

TABLES
  /OBSERVATION = csute carco cares carnres cardpar caesv
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx) by (csute+carco+cares+carnres+cardpar+caesv)
 /STATISTICS SUM ('')
 /TITLE    'SUPERFICIE DEL TERRENO Y ÁREA A CONSTRUIR SEGÚN USO DE LA EDIFICACIÓN, año 2021'
'POR USO DE LA EDIFICACIÓN'
'(Metros cuadrados)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.

/*****************************************/
/**Cuadro E-1. 
/*****************************************/

TABLES
   /OBSERVATION = CVAE
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf)by ((t+CTIPOBR)> CVAE)
 /STATISTICS sum ('')
 /TITLE    'VALOR ESTIMADO DEL FINANCIAMIENTO DE LAS EDIFICACIONES SEGÚN TIPO DE OBRA, año 2021'
'POR PROVINCIA'
'(Dólares americanos)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro E-2. 
/*****************************************/

TABLES
   /OBSERVATION = CVAE
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+cdispusx)by ((t+CTIPOBR)> CVAE)
 /STATISTICS sum ('')
 /TITLE    'VALOR ESTIMADO DEL FINANCIAMIENTO DE LAS EDIFICACIONES SEGÚN TIPO DE OBRA, año 2021'
'POR USO DE LA EDIFICACIÓN'
'(Dólares americanos)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro E-3. 
/*****************************************/

TABLES
   /OBSERVATION = CVAE 
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+codprovf)by (t+FINAN)>CVAE
 /STATISTICS sum ('')
 /TITLE    'VALOR ESTIMADO DE LAS EDIFICACIONES SEGÚN TIPO DE FINANCIAMIENTO, año 2021'
'POR PROVINCIA'
'(Dólares americanos)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

/*****************************************/
/**Cuadro E-4. 
/*****************************************/

TABLES
   /OBSERVATION = CVAE 
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx)by  (t+FINAN)>CVAE
 /STATISTICS sum ('')
 /TITLE    'VALOR ESTIMADO DE LAS EDIFICACIONES SEGÚN TIPO DE FINANCIAMIENTO, año 2021'
'POR USO DE LA EDIFICACIÓN'
'(Dólares americanos)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.


/*****************************************/
/**Cuadro E-5-E6 
/*****************************************/

TABLES
   /OBSERVATION = CVAE
  /FORMAT BLANK MISSING('.')
 /TABLE= (t+cdispusx)by ((CDISPRFI+t)> CVAE)
 /STATISTICS sum ('')
 /TITLE    'VALOR DECLARADO EN LAS EDIFICACIONES SEGÚN EL TIPO DE FINANCIAMIENTO, año 2021'
'POR USO DE LA EDIFICACIÓN'
'(Dólares americanos)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) - EDIFICACIONES 2021'.
EXECUTE.

